local data = SkillTreeTweakData.init
function SkillTreeTweakData:init(tweak_data)
    data(self, tweak_data)

    if not self:contain_my_skilltree(self.skill_pages_order, "predator") then
        table.insert(self.skill_pages_order, "predator")
        self.skilltree.predator = {
            name_id = "predator_skilltree",
            desc_id = "predator_skilltree_desc"
        }
    end

    -- This is for insert our skilltre in main tree
    table.insert(
        self.trees,
        {
            name_id = "predator_wrangler",
            background_texture = "guis/textures/pd2/skilltree/bg_mastermind",
            unlocked = true,
            skill = "predator", -- the name of your skilltree
            tiers = {
                {
                    "carbon_blades"
                },
                {
                    "predator_portable_saw",
                    "leatherface"
                },
                {
                    "saw_massacre",
                    "fake_skill"
                },
                {
                    "ove18000"
                }
            }
        }
    )

    self.skills.fake_skill = {
        ["name_id"] = "fake_skill",
        ["desc_id"] = "fake_skill",
        ["icon_xy"] = {0, 0},
        [1] = {
            upgrades = {
                
            },
            cost = self.costs.default
        },
        [2] = {
            upgrades = {
                
            },
            cost = self.costs.pro
        }
    }

    self.skills.carbon_blades = {
		["name_id"] = "menu_predator_carbon_blades",
		["desc_id"] = "menu_predator_carbon_blades_desc",
		["icon_xy"] = {1, 7},
		[1] = {
			upgrades = {
				"saw_swap_speed_multiplier" -- 33% swap speed
			},
			cost = self.costs.hightier
		},
		[2] = {
			upgrades = {
				
			},
			cost = self.costs.hightierpro
		}
    }

    self.skills.saw_massacre = {
		{
			upgrades = {"saw_enemy_slicer"},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"saw_ignore_shields_1",
				"saw_panic_when_kill_1"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_carbon_blade_beta",
		desc_id = "menu_carbon_blade_beta_desc",
		icon_xy = {
			0,
			2
		}
    }
    
    self.skills.leatherface = {
		{
			upgrades = {"saw_non_special_damage_multiplier"},
			cost = self.costs.default
		},
		{
			upgrades = {"saw_everybody_damage_multiplier"},
			cost = self.costs.pro
		},
		name_id = "menu_Leatherface_beta",
		desc_id = "menu_Leatherface_beta_desc",
		icon_xy = {
			1,
			3
		}
	}

    self.skills.ove18000 = {
		["name_id"] = "menu_predator_ove18000",
		["desc_id"] = "menu_predator_ove18000_desc",
		["icon_xy"] = {0, 8},
		[1] = {
			upgrades = {
				"saw_akimbo_saw"
			},
			cost = self.costs.hightier
		},
		[2] = {
			upgrades = {
				
			},
			cost = self.costs.hightierpro
		}
    }

    self.skills.predator_portable_saw = {
		{
			upgrades = {"saw_secondary"},
			cost = self.costs.hightier
		},
		{
			upgrades = {
				"saw_extra_ammo_multiplier",
				"player_saw_speed_multiplier_2",
				"saw_lock_damage_multiplier_2"
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_portable_saw_beta",
		desc_id = "menu_portable_saw_beta_desc",
		icon_xy = {
			0,
			1
		}
	}

end

function SkillTreeTweakData:contain_my_skilltree(tab, val)
    for index, value in ipairs(tab) do
        if value == val then
            return true
        end
    end
    return false
end
